<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="RuleCommonStyleSheet.xsl"/>
<xsl:output method="html"/>

<xsl:template match="rule">
	<table border="0">
		<xsl:apply-templates select="categorypath"/>
		<xsl:apply-templates select="name"/>
		
		<tr><td>
			<span class="SubHeader">위치</span> 		</td></tr>
		<tr><td>
		<span class="Text">
			<for from="0" to="$match.getMatchLinks().size()$">
				<var name="link" value="$match.getMatchLinks().get( index )$"/>
				<a href="r2a://GotoFile( $link.getResourceName()$, $link.getStartPosition()$ )">$link.getResourceName()$:$link.getLineNumber()$</a>
				<br/>
			</for>
		</span>
		<p/>
		</td></tr>
		<xsl:apply-templates select="severity"/>
		<xsl:apply-templates select="jdk"/>
		<xsl:apply-templates select="description"/>
	</table>
</xsl:template>

</xsl:stylesheet>
